<!DOCTYPE html>
<html lang="en-us">
<head>
	<meta charset="utf-8">
	<title>How To Setup Meghna Hugo</title>

	<!-- mobile responsive meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="description" content="This is meta description">
	
	<meta name="author" content="Themefisher">
	<meta name="generator" content="Hugo 0.68.3" />

	<!-- plugins -->
	
	<link rel="stylesheet" href="https://open.grownetics.co/plugins/bootstrap/bootstrap.min.css">
	
	<link rel="stylesheet" href="https://open.grownetics.co/plugins/themify-icons/themify-icons.css">
	
	<link rel="stylesheet" href="https://open.grownetics.co/plugins/magnific-popup/magnific-popup.css">
	
	<link rel="stylesheet" href="https://open.grownetics.co/plugins/slick/slick.css">
	
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Anaheim%7cQuattrocento&#43;Sans:400,700&amp;display=swap">
	

	<!-- Main Stylesheet -->
	
	<link rel="stylesheet" href="https://open.grownetics.co/css/style.min.css" media="screen">

  <!-- Custom stylesheet - for your changes -->
  <link rel="stylesheet" href="/css/custom.css" media="screen">

	<!--Favicon-->
	<link rel="shortcut icon" href="https://open.grownetics.co/images/favicon.png" type="image/x-icon">
	<link rel="icon" href="https://open.grownetics.co/images/favicon.png" type="image/x-icon">

</head>

<body id="body" data-spy="scroll" data-target=".navbar" data-offset="55">
  <div id="content">
    

<section class="sticky-top navigation">
	<div class="container">
		<nav class="navbar navbar-expand-lg navbar-dark">
			<a class="navbar-brand p-0" href="/">
				
				<img class="img-fluid" src="https://open.grownetics.co/images/logo.png" alt="Grownetics Open Source">
				
			</a>

			<button class="navbar-toggler rounded-0" type="button" data-toggle="collapse" data-target="#navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navigation">
				<ul class="navbar-nav ml-auto">
					<li class="nav-item"><a class="nav-link" href="#body"></a></li>
					

					
					<li class="nav-item"><a class="nav-link" href="/#about">About Us</a>
					</li>
					
					<li class="nav-item"><a class="nav-link" href="/#services">Service</a>
					</li>
					
					<li class="nav-item"><a class="nav-link" href="/#portfolio">Portfolio</a>
					</li>
					
					<li class="nav-item"><a class="nav-link" href="/#team">Team</a>
					</li>
					
					<li class="nav-item"><a class="nav-link" href="/#pricing">Pricing</a>
					</li>
					
					<li class="nav-item"><a class="nav-link" href="/#blog">Blog</a>
					</li>
					
					<li class="nav-item"><a class="nav-link" href="/#contact">Contact</a>
					</li>
					
					
					

					
					<li class="nav-item"><a class="nav-link" target="_blank" href="https://themefisher.com/">Themefisher</a>
					</li>
					
					
				</ul>
				
			</div>
		</nav>
	</div>
</section>

<section class="section">
  <div class="container">
    <div class="row">
      <div class="col-lg-8 offset-lg-2 text-center">
        <h1>How To Setup Meghna Hugo</h1>
        <ul class="list-inline mb-50">
          <li class="list-inline-item"><a href="/author/mark-dinn/">Mark Dinn</a></li>
          <li class="list-inline-item">Wednesday, Sep 12, 2018</li>
        </ul>
        <img class="img-fluid mb-50" src="https://open.grownetics.co/images/blog/meghna.jpg" alt="blog-image">
      </div>
      <div class="col-lg-8 offset-lg-2">
        <div class="post-single-content">
          <h2 id="install-this-template-by-following-those-simple-steps">Install this template by following those simple steps:</h2>
<h3 id="step-1--hugo-installation">STEP-1 : Hugo installation</h3>
<p>Check this link below for install hugo on your computer.
<a href="https://gohugo.io/getting-started/installing/">hugo install documentation</a></p>
<h3 id="step-2--create-your-project">STEP-2 : Create your project</h3>
<p>Hugo provides a <code>new</code> command to create a new website.</p>
<pre><code>hugo new site &lt;new_project&gt;
</code></pre><h3 id="step-3--install-the-theme">STEP-3 : Install the theme</h3>
<p>Run this command</p>
<pre><code>hugo new site meghna-hugo
</code></pre><p>and then go to the themes folder inside of meghna-hugo folder. You can also use this command <code>cd meghna-hugo/themes</code> for going to this folder.
Then run the command</p>
<pre><code>git clone git@github.com:themefisher/meghna-hugo.git
</code></pre><p>Alternatively, you can <a href="https://github.com/themefisher/meghna-hugo/archive/master.zip">download the theme as .zip</a> file and extract it in the <code>themes</code> directory</p>
<p>After that you need to go to the <code>meghna-hugo/exampleSite</code> folder and copy or cut all the elements, and now go back to the root folder and paste it here.</p>
<p>open the command prompt again and run <code>cd ../</code> command for go back to the root folder.</p>
<h3 id="step-4--host-locally">STEP-4 : Host locally</h3>
<p>Launching the website locally by using the following command:</p>
<pre><code>hugo serve
</code></pre><p>Go to <code>http://localhost:1313</code></p>
<p>Or you can check this video documentation for installing this template:

<div style="position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden;">
  <iframe src="https://www.youtube.com/embed/3O3qvDoVp5g" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border:0;" allowfullscreen title="YouTube Video"></iframe>
</div>
</p>
<h3 id="step-5--basic-configuration">STEP-5 : Basic configuration</h3>
<p>When building the website, you can set a theme by using <code>--theme</code> option. However, we suggest you modify the configuration file (<code>config.toml</code>) and set the theme as the default.</p>
<div class="highlight"><pre style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#75715e"># Change the default theme to be use when building the site with Hugo</span>
<span style="color:#a6e22e">theme</span> = <span style="color:#e6db74">&#34;meghna-hugo&#34;</span>
</code></pre></div><h3 id="step-6--create-your-first-content-pages">STEP-6 : Create your first content pages</h3>
<pre><code>hugo new blog/post-name.md
</code></pre><h3 id="step-7--build-the-website">STEP-7 : Build the website</h3>
<p>When your site is ready to deploy, run the following command:</p>
<pre><code>hugo

# You can also create a minified version by using this command:
hugo--minify

</code></pre><p>A <code>public</code> folder will be generated, containing all static content and assets for your website. It can now be deployed on any web server.</p>

        </div>
        
        

<div class="social-share pt-4">
	<h4>:</h4>
	
	<a class="resp-sharing-button__link" href="https://facebook.com/sharer/sharer.php?u=https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f" target="_blank"
		rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--facebook resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path d="M18.77 7.46H14.5v-1.9c0-.9.6-1.1 1-1.1h3V.5h-4.33C10.24.5 9.5 3.44 9.5 5.32v2.15h-3v4h3v12h5v-12h3.85l.42-4z" />
				</svg>
			</div>
		</div>
	</a>

	
	<a class="resp-sharing-button__link" href="https://twitter.com/intent/tweet/?text=How%20To%20Setup%20Meghna%20Hugo&amp;url=https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f"
		target="_blank" rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--twitter resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path
						d="M23.44 4.83c-.8.37-1.5.38-2.22.02.93-.56.98-.96 1.32-2.02-.88.52-1.86.9-2.9 1.1-.82-.88-2-1.43-3.3-1.43-2.5 0-4.55 2.04-4.55 4.54 0 .36.03.7.1 1.04-3.77-.2-7.12-2-9.36-4.75-.4.67-.6 1.45-.6 2.3 0 1.56.8 2.95 2 3.77-.74-.03-1.44-.23-2.05-.57v.06c0 2.2 1.56 4.03 3.64 4.44-.67.2-1.37.2-2.06.08.58 1.8 2.26 3.12 4.25 3.16C5.78 18.1 3.37 18.74 1 18.46c2 1.3 4.4 2.04 6.97 2.04 8.35 0 12.92-6.92 12.92-12.93 0-.2 0-.4-.02-.6.9-.63 1.96-1.22 2.56-2.14z" />
				</svg>
			</div>
		</div>
	</a>

	
	<a class="resp-sharing-button__link" href="https://plus.google.com/share?url=https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f" target="_blank"
		rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--google resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path
						d="M11.37 12.93c-.73-.52-1.4-1.27-1.4-1.5 0-.43.03-.63.98-1.37 1.23-.97 1.9-2.23 1.9-3.57 0-1.22-.36-2.3-1-3.05h.5c.1 0 .2-.04.28-.1l1.36-.98c.16-.12.23-.34.17-.54-.07-.2-.25-.33-.46-.33H7.6c-.66 0-1.34.12-2 .35-2.23.76-3.78 2.66-3.78 4.6 0 2.76 2.13 4.85 5 4.9-.07.23-.1.45-.1.66 0 .43.1.83.33 1.22h-.08c-2.72 0-5.17 1.34-6.1 3.32-.25.52-.37 1.04-.37 1.56 0 .5.13.98.38 1.44.6 1.04 1.84 1.86 3.55 2.28.87.23 1.82.34 2.8.34.88 0 1.7-.1 2.5-.34 2.4-.7 3.97-2.48 3.97-4.54 0-1.97-.63-3.15-2.33-4.35zm-7.7 4.5c0-1.42 1.8-2.68 3.9-2.68h.05c.45 0 .9.07 1.3.2l.42.28c.96.66 1.6 1.1 1.77 1.8.05.16.07.33.07.5 0 1.8-1.33 2.7-3.96 2.7-1.98 0-3.54-1.23-3.54-2.8zM5.54 3.9c.33-.38.75-.58 1.23-.58h.05c1.35.05 2.64 1.55 2.88 3.35.14 1.02-.08 1.97-.6 2.55-.32.37-.74.56-1.23.56h-.03c-1.32-.04-2.63-1.6-2.87-3.4-.13-1 .08-1.92.58-2.5zM23.5 9.5h-3v-3h-2v3h-3v2h3v3h2v-3h3" />
				</svg>
			</div>
		</div>
	</a>

	
	<a class="resp-sharing-button__link" href="mailto:?subject=How%20To%20Setup%20Meghna%20Hugo&amp;body=https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f" target="_self"
		rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--email resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path
						d="M22 4H2C.9 4 0 4.9 0 6v12c0 1.1.9 2 2 2h20c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zM7.25 14.43l-3.5 2c-.08.05-.17.07-.25.07-.17 0-.34-.1-.43-.25-.14-.24-.06-.55.18-.68l3.5-2c.24-.14.55-.06.68.18.14.24.06.55-.18.68zm4.75.07c-.1 0-.2-.03-.27-.08l-8.5-5.5c-.23-.15-.3-.46-.15-.7.15-.22.46-.3.7-.14L12 13.4l8.23-5.32c.23-.15.54-.08.7.15.14.23.07.54-.16.7l-8.5 5.5c-.08.04-.17.07-.27.07zm8.93 1.75c-.1.16-.26.25-.43.25-.08 0-.17-.02-.25-.07l-3.5-2c-.24-.13-.32-.44-.18-.68s.44-.32.68-.18l3.5 2c.24.13.32.44.18.68z" />
				</svg>
			</div>
		</div>
	</a>

	
	<a class="resp-sharing-button__link"
		href="https://reddit.com/submit/?url=https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f&amp;resubmit=true&amp;title=How%20To%20Setup%20Meghna%20Hugo" target="_blank"
		rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--reddit resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path
						d="M24 11.5c0-1.65-1.35-3-3-3-.96 0-1.86.48-2.42 1.24-1.64-1-3.75-1.64-6.07-1.72.08-1.1.4-3.05 1.52-3.7.72-.4 1.73-.24 3 .5C17.2 6.3 18.46 7.5 20 7.5c1.65 0 3-1.35 3-3s-1.35-3-3-3c-1.38 0-2.54.94-2.88 2.22-1.43-.72-2.64-.8-3.6-.25-1.64.94-1.95 3.47-2 4.55-2.33.08-4.45.7-6.1 1.72C4.86 8.98 3.96 8.5 3 8.5c-1.65 0-3 1.35-3 3 0 1.32.84 2.44 2.05 2.84-.03.22-.05.44-.05.66 0 3.86 4.5 7 10 7s10-3.14 10-7c0-.22-.02-.44-.05-.66 1.2-.4 2.05-1.54 2.05-2.84zM2.3 13.37C1.5 13.07 1 12.35 1 11.5c0-1.1.9-2 2-2 .64 0 1.22.32 1.6.82-1.1.85-1.92 1.9-2.3 3.05zm3.7.13c0-1.1.9-2 2-2s2 .9 2 2-.9 2-2 2-2-.9-2-2zm9.8 4.8c-1.08.63-2.42.96-3.8.96-1.4 0-2.74-.34-3.8-.95-.24-.13-.32-.44-.2-.68.15-.24.46-.32.7-.18 1.83 1.06 4.76 1.06 6.6 0 .23-.13.53-.05.67.2.14.23.06.54-.18.67zm.2-2.8c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm5.7-2.13c-.38-1.16-1.2-2.2-2.3-3.05.38-.5.97-.82 1.6-.82 1.1 0 2 .9 2 2 0 .84-.53 1.57-1.3 1.87z" />
				</svg>
			</div>
		</div>
	</a>

	
	<a class="resp-sharing-button__link" href="whatsapp://send?text=How%20To%20Setup%20Meghna%20Hugo%20https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f" target="_blank"
		rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--whatsapp resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path
						d="M20.1 3.9C17.9 1.7 15 .5 12 .5 5.8.5.7 5.6.7 11.9c0 2 .5 3.9 1.5 5.6L.6 23.4l6-1.6c1.6.9 3.5 1.3 5.4 1.3 6.3 0 11.4-5.1 11.4-11.4-.1-2.8-1.2-5.7-3.3-7.8zM12 21.4c-1.7 0-3.3-.5-4.8-1.3l-.4-.2-3.5 1 1-3.4L4 17c-1-1.5-1.4-3.2-1.4-5.1 0-5.2 4.2-9.4 9.4-9.4 2.5 0 4.9 1 6.7 2.8 1.8 1.8 2.8 4.2 2.8 6.7-.1 5.2-4.3 9.4-9.5 9.4zm5.1-7.1c-.3-.1-1.7-.9-1.9-1-.3-.1-.5-.1-.7.1-.2.3-.8 1-.9 1.1-.2.2-.3.2-.6.1s-1.2-.5-2.3-1.4c-.9-.8-1.4-1.7-1.6-2-.2-.3 0-.5.1-.6s.3-.3.4-.5c.2-.1.3-.3.4-.5.1-.2 0-.4 0-.5C10 9 9.3 7.6 9 7c-.1-.4-.4-.3-.5-.3h-.6s-.4.1-.7.3c-.3.3-1 1-1 2.4s1 2.8 1.1 3c.1.2 2 3.1 4.9 4.3.7.3 1.2.5 1.6.6.7.2 1.3.2 1.8.1.6-.1 1.7-.7 1.9-1.3.2-.7.2-1.2.2-1.3-.1-.3-.3-.4-.6-.5z" />
				</svg>
			</div>
		</div>
	</a>

	
	<a class="resp-sharing-button__link" href="https://telegram.me/share/url?text=How%20To%20Setup%20Meghna%20Hugo&amp;url=https%3a%2f%2fopen.grownetics.co%2fblog%2finstallation%2f"
		target="_blank" rel="noopener" aria-label="">
		<div class="resp-sharing-button resp-sharing-button--telegram resp-sharing-button--small">
			<div aria-hidden="true" class="resp-sharing-button__icon resp-sharing-button__icon--solid">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
					<path
						d="M.707 8.475C.275 8.64 0 9.508 0 9.508s.284.867.718 1.03l5.09 1.897 1.986 6.38a1.102 1.102 0 0 0 1.75.527l2.96-2.41a.405.405 0 0 1 .494-.013l5.34 3.87a1.1 1.1 0 0 0 1.046.135 1.1 1.1 0 0 0 .682-.803l3.91-18.795A1.102 1.102 0 0 0 22.5.075L.706 8.475z" />
				</svg>
			</div>
		</div>
	</a>

</div>
        
        
        <div class="mt-5">
          
        </div>
      </div>
    </div>
  </div>
</section>


  </div><!-- end Contact Area -->
<footer id="footer" class="section-bg">
	<div class="container">
		<div class="row wow fadeInUp" data-wow-duration="500ms">
			<div class="col-xl-12">

				<!-- Footer Social Links -->
				<div class="social-icon">
					<ul class="list-inline">
						
						<li class="list-inline-item"><a href="#"><i class="ti-facebook"></i></a></li>
						
						<li class="list-inline-item"><a href="#"><i class="ti-twitter-alt"></i></a></li>
						
						<li class="list-inline-item"><a href="#"><i class="ti-youtube"></i></a></li>
						
						<li class="list-inline-item"><a href="#"><i class="ti-linkedin"></i></a></li>
						
						<li class="list-inline-item"><a href="#"><i class="ti-dribbble"></i></a></li>
						
						<li class="list-inline-item"><a href="#"><i class="ti-pinterest"></i></a></li>
						
					</ul>
				</div>

				<!-- copyright -->
				<div class="copyright text-center">
					<a href="https://open.grownetics.co">
						<img src="https://open.grownetics.co/images/logo.png" alt="Grownetics Open Source" />
					</a>
					<br>
					<p></p>
				</div>
			</div>
		</div>
	</div>
</footer>
<!-- /footer -->

<!-- Google Map API -->

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBu5nZKbeK-WHQ70oqOWo-_4VmwOwKP9YQ"></script>


<!-- JS Plugins -->

<script src="https://open.grownetics.co/plugins/jquery/jquery.min.js"></script>

<script src="https://open.grownetics.co/plugins/bootstrap/bootstrap.min.js"></script>

<script src="https://open.grownetics.co/plugins/slick/slick.min.js"></script>

<script src="https://open.grownetics.co/plugins/shuffle/shuffle.min.js"></script>

<script src="https://open.grownetics.co/plugins/magnific-popup/jquery.magnific-popup.min.js"></script>

<script src="https://open.grownetics.co/plugins/lazy-load/lozad.min.js"></script>

<script src="https://open.grownetics.co/plugins/google-map/map.js"></script>


<!-- Main Script -->

<script src="https://open.grownetics.co/js/script.min.js"></script>

<!-- google analitycs -->
</body>

</html>